package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Upload_visaRepository;
import com.realnet.vpspack.Entity.Upload_visa
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Upload_visaService {
@Autowired
private Upload_visaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Upload_visa Savedata(Upload_visa data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Upload_visa save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Upload_visa> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Upload_visa> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Upload_visa> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Upload_visa getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Upload_visa update(Upload_visa data,Integer id) {
	Upload_visa old = Repository.findById(id).get();
 

old.setRejected_visa(data.getRejected_visa());

old.setApplication(data.getApplication());

final Upload_visa test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
